Retrieves rolled up savings data by building/organization for a given number of years- Result includes cost, use, unit cost on a monthly basis. It also includes target comparison data and commodity level break up.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| placeId | The place to retrieve data for | integer (int32) | Required |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| numberOfYears | Number of years of data to return includes the current year - Defaults to two years of months (24 for actual and savings, and 24 or 26 (if 13 accounting periods) for calendarized and normalized) | integer (int32) | Optional |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
PlaceDigestSavingsMonthlyResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| commodities | An array of SavingsMonthly data per commodity | PlaceDigestSavingsMonthlyResponse+CommodityData[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceDigestSavingsMonthlyResponse+CommodityData properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| costUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| globalUseUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeCode | The place code | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeId | The place identifier | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeInfo | The place info | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| results | An array of SavingsMonthly data | PlaceDigestSavingsMonthlyResponse+Results[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceDigestSavingsMonthlyResponse+Results properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| updated | The date and time the data was updated | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "commodities": [
{ "commodityCode": "string", "commodityId": 1, "commodityInfo": "string", "commonUseUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "costUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "results": [
{ "calendarPeriod": 1, "calendarYear": 1, "fiscalPeriod": 1, "fiscalYear": 1, "periodName": "string", "savingsCommonUse": 1.0, "savingsGlobalUse": 1.0, "savingsTotalCost": 1.0
}
]
}
], "costUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "globalUseUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "placeCode": "string", "placeId": 1, "placeInfo": "string", "results": [
{ "calendarPeriod": 1, "calendarYear": 1, "fiscalPeriod": 1, "fiscalYear": 1, "periodName": "string", "savingsGlobalUse": 1.0, "savingsTotalCost": 1.0
}
], "updated": "2026-03-30"
}
204
No Content
The request succeeded. No content is returned in the response body.